/*
   Copyright (C) 2019-2020 Laurent Montel <montel@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#include "dkimmanagerulescomboboxtest.h"
#include "dkim-verify/dkimmanagerulescombobox.h"
#include <QTest>
QTEST_MAIN(DKIMManageRulesComboBoxTest)

DKIMManageRulesComboBoxTest::DKIMManageRulesComboBoxTest(QObject *parent)
    : QObject(parent)
{
}

void DKIMManageRulesComboBoxTest::shouldHaveDefaultValues()
{
    MessageViewer::DKIMManageRulesComboBox w;
    QVERIFY(w.count() > 0);
}

void DKIMManageRulesComboBoxTest::shouldChangeIndex()
{
    MessageViewer::DKIMManageRulesComboBox w;
    w.setCurrentIndex(1);
    QCOMPARE(w.ruleType(), MessageViewer::DKIMRule::RuleType::CanBeSigned);
}
